#ifndef RELAY_I2C_MASTER_H
#define RELAY_I2C_MASTER_H

#include <Arduino.h>
#include <Wire.h>

class RelayI2CMaster {
public:
    RelayI2CMaster(uint8_t slaveAddress);
    void begin();
    void setRelay(uint8_t relayIndex, bool state);
    uint8_t scanDevices(uint8_t* foundAddresses, uint8_t maxDevices);
    void setAddress(uint8_t newAddress);
    void handleI2CCommand();
    
private:
    uint8_t _slaveAddress;
};

#endif
